Federal Emergency Mismanagement Agency requires MS IE.

Now you need Internet Explorer to file claims to FEMA. So Mac and Linux users (and the others) can just forget about filing online. I’m glad my tax dollars are being put to such good use by FEMA. Never mind dealing with hurricanes, you’ve got to keep those unholy communisto-terrorist browsers at bay.

Leave a Reply

Your email address will not be published. Required fields are marked *